REST APIUser Management Notification

GET

Get user categories with subscription status

Retrieves all available notification categories with their current subscription status for the authenticated user and specified channel. A category is considered 'subscribed' if all non-mandatory notifications within that category are subscribed for the specified channel.

Query Params

  • channel string required

Header Params

  • request-id string

Responses

200
List of categories with subscription status

Response Body

object

  • categories array of objects required
    categories object
    • categoryName string enum required
      accessaccess_tokensapproval_completedapproval_requiredbank_accounts_and_fiat_operationsbank_and_trustfinancinggo_networkidentityoesreportstradeumswallet_notificationstransaction_monitoringstaking_rewardstreasury_managementstuck_transaction_notification
    • isSubscribed boolean required
    • isMandatory boolean required
400
Invalid channel query parameter

Response Body

object

Bad request error response
  • name string enum required
    Error code
    ValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    400
500
Unexpected error

Response Body

object

Internal server error response
  • name string enum required
    Error code
    UnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    500